Bug 9145 - provision sets up BIND_DLZ specific code without looking at the selected DNS backend
provision sets up BIND_DLZ specific code without looking at the selected DNS ...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2012-09-06 13:16 UTC by Kai Blin
Modified: 2012-10-18 07:19 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Blin 2012-09-06 13:16:52 UTC
Currently provision is setting up the dns-${HOSTNAME} user that is only useful for the BIND_DLZ plugin regardless of the DNS plugin selected. This user breaks TKEY negotiation for the internal DNS server.
Comment 1 Michael Adam 2012-09-06 13:39:46 UTC
let's fix this before 4.0
Comment 2 Matthieu Patou 2012-09-19 16:19:10 UTC
Isn't it fixed in the latest version (post rc1 ?)
Comment 3 Andrew Bartlett 2012-10-18 07:19:17 UTC
I'm going to say this is fixed.